/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a Data Transfer Object (DTO) for user email information.
 * @export
 * @interface UserEmailDto
 */
export interface UserEmailDto {
    /**
     * The email address of the user.
     * @type {string}
     * @memberof UserEmailDto
     */
    'email'?: string | null;
    /**
     * Indicates whether the email address is confirmed.
     * @type {boolean}
     * @memberof UserEmailDto
     */
    'isConfirmed'?: boolean;
    /**
     * Indicates whether the email address is the primary one for the user.
     * @type {boolean}
     * @memberof UserEmailDto
     */
    'isPrimary'?: boolean;
}

